Package org.apache.cxf.internal

# Class CXFAPINamespaceHandler

java.lang.Object
org.apache.cxf.internal.CXFAPINamespaceHandler

All Implemented Interfaces:
  `org.apache.aries.blueprint.NamespaceHandler`

@Namespaces({"http://cxf.apache.org/blueprint/core","http://cxf.apache.org/configuration/beans","http://cxf.apache.org/configuration/parameterized-types","http://cxf.apache.org/configuration/security","http://schemas.xmlsoap.org/wsdl/","http://www.w3.org/2005/08/addressing","http://schemas.xmlsoap.org/ws/2004/08/addressing"}) public class CXFAPINamespaceHandler extends Object implements org.apache.aries.blueprint.NamespaceHandler

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CXFAPINamespaceHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.osgi.service.blueprint.reflect.ComponentMetadata`
  `decorate(Node node, org.osgi.service.blueprint.reflect.ComponentMetadata component, org.apache.aries.blueprint.ParserContext context)`
  `Set<Class>`
  `getManagedClasses()`
  `URL`
  `getSchemaLocation(String namespace)`
  `org.osgi.service.blueprint.reflect.Metadata`
  `parse(Element element, org.apache.aries.blueprint.ParserContext context)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CXFAPINamespaceHandler

    public CXFAPINamespaceHandler()

- ## Method Details

  - ### getSchemaLocation

    public URL getSchemaLocation(String namespace)
    Specified by:
      `getSchemaLocation` in interface `org.apache.aries.blueprint.NamespaceHandler`

  - ### parse

    public org.osgi.service.blueprint.reflect.Metadata parse(Element element, org.apache.aries.blueprint.ParserContext context)
    Specified by:
      `parse` in interface `org.apache.aries.blueprint.NamespaceHandler`

  - ### getManagedClasses

    public Set<Class> getManagedClasses()
    Specified by:
      `getManagedClasses` in interface `org.apache.aries.blueprint.NamespaceHandler`

  - ### decorate

    public org.osgi.service.blueprint.reflect.ComponentMetadata decorate(Node node, org.osgi.service.blueprint.reflect.ComponentMetadata component, org.apache.aries.blueprint.ParserContext context)
    Specified by:
      `decorate` in interface `org.apache.aries.blueprint.NamespaceHandler`